This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 482899 - plymouth libs require libpng [NEEDINFO]
plymouth libs require libpng
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On: F11MinimalPlatform
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 13:31 EST by Steve Grubb
Modified: 2011-06-02 14:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554776 (view as bug list)
Environment:
Last Closed: 2011-06-02 14:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
triage: needinfo? (sgrubb)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 25917 None None None Never

  None (edit)
Description Steve Grubb 2009-01-28 13:31:23 EST
Description of problem:
We would like to minimize the number of packages required for a server install. Currently plymouth-libs requires libpng. When booting in text mode, displaying pictures is not necessary. Can plymouth-libs be restructured to optionally use libpng?

Version-Release number of selected component (if applicable):
0.6.0-2
Comment 1 Bug Zapper 2009-06-09 06:56:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ray Strode [halfline] 2010-01-06 13:05:14 EST
Fixing this will require splitting libplybootsplash into two libraries I think.

It shouldn't be hard to do, and it's something I've wanted to do for a while, but it currently isn't somehing I'm looking into.

Resetting version.
Comment 3 Miroslav Vadkerti 2010-01-11 09:26:41 EST
Ray, 
this issue blocks a RHEL6 blocker feature, when can we expect the split to happen? Thanks
Comment 8 Bug Zapper 2010-03-15 08:25:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ray Strode [halfline] 2011-06-02 14:01:37 EDT
this was fixed some time ago.
Comment 10 Bug Zapper 2011-06-02 14:16:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.